sling-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From romb...@apache.org
Subject svn commit: r1754730 [2/2] - /sling/site/trunk/content/obr/sling.xml
Date Mon, 01 Aug 2016 10:47:21 GMT

Modified: sling/site/trunk/content/obr/sling.xml
URL: http://svn.apache.org/viewvc/sling/site/trunk/content/obr/sling.xml?rev=1754730&r1=1754729&r2=1754730&view=diff
==============================================================================
--- sling/site/trunk/content/obr/sling.xml (original)
+++ sling/site/trunk/content/obr/sling.xml Mon Aug  1 10:47:20 2016
@@ -1,4 +1,4 @@
-<repository name='Apache Sling Release Repository' lastmodified='20160725041037.905'>
+<repository name='Apache Sling Release Repository' lastmodified='20160801014642.342'>
   <resource id='org.apache.sling.extensions.classloader-leak-detector/1.0.0' symbolicname='org.apache.sling.extensions.classloader-leak-detector' presentationname='Adobe Sling ClassLoader Leak Detector' uri='http://repo1.maven.org/maven2/org/apache/sling/org.apache.sling.extensions.classloader-leak-detector/1.0.0/org.apache.sling.extensions.classloader-leak-detector-1.0.0.jar' version='1.0.0'>
     <description>Provides a web console configuration printer to provide details around classloader leaks</description>
     <size>18203</size>
@@ -117,6 +117,40 @@
     <require name='package' filter='(&amp;(package=org.slf4j)(version&gt;=1.5.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.slf4j;version="[1.5,2)"</require>
     <require name='ee' filter='(|(ee=J2SE-1.5))' extend='false' multiple='false' optional='false'>Execution Environment (|(ee=J2SE-1.5))</require>
   </resource>
+  <resource id='org.apache.sling.adapter/2.1.8' symbolicname='org.apache.sling.adapter' presentationname='Apache Sling Adapter Manager Implementation' uri='http://repo1.maven.org/maven2/org/apache/sling/org.apache.sling.adapter/2.1.8/org.apache.sling.adapter-2.1.8.jar' version='2.1.8'>
+    <description>Bundle implementing the AdapterManager and provides a convenience        implementation of the Adaptable interface to make use of this        AdapterManager.</description>
+    <size>30211</size>
+    <documentation>http://sling.apache.org</documentation>
+    <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
+    <category id='sling'/>
+    <capability name='bundle'>
+      <p n='symbolicname' v='org.apache.sling.adapter'/>
+      <p n='presentationname' v='Apache Sling Adapter Manager Implementation'/>
+      <p n='version' t='version' v='2.1.8'/>
+      <p n='manifestversion' v='2'/>
+    </capability>
+    <capability name='package'>
+      <p n='package' v='org.apache.sling.adapter'/>
+      <p n='version' t='version' v='2.1.0'/>
+      <p n='uses:' v='org.apache.sling.api.adapter'/>
+    </capability>
+    <require name='package' filter='(&amp;(package=org.apache.sling.api.adapter)(version&gt;=2.2.0)(!(version&gt;=2.3.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.api.adapter;version="[2.2,2.3)"</require>
+    <require name='package' filter='(&amp;(package=javax.servlet))' extend='false' multiple='false' optional='false'>Import package javax.servlet</require>
+    <require name='package' filter='(&amp;(package=javax.servlet.http))' extend='false' multiple='false' optional='false'>Import package javax.servlet.http</require>
+    <require name='package' filter='(&amp;(package=org.apache.commons.io)(version&gt;=1.4.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.commons.io;version="[1.4,2)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.commons.lang.builder)(version&gt;=2.5.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.commons.lang.builder;version="[2.5,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.adapter)(version&gt;=2.1.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.adapter;version="[2.1,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.api.resource)(version&gt;=2.1.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.api.resource;version="[2.1,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.commons.json)(version&gt;=2.0.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.commons.json;version="[2.0,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.commons.osgi)(version&gt;=2.1.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.commons.osgi;version="[2.1,3)"</require>
+    <require name='package' filter='(&amp;(package=org.osgi.framework)(version&gt;=1.4.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.osgi.framework;version="[1.4,2)"</require>
+    <require name='package' filter='(&amp;(package=org.osgi.service.component)(version&gt;=1.0.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.osgi.service.component;version="[1.0,2)"</require>
+    <require name='package' filter='(&amp;(package=org.osgi.service.event)(version&gt;=1.1.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.osgi.service.event;version="[1.1,2)"</require>
+    <require name='package' filter='(&amp;(package=org.osgi.service.packageadmin)(version&gt;=1.2.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.osgi.service.packageadmin;version="[1.2,2)"</require>
+    <require name='package' filter='(&amp;(package=org.osgi.util.tracker)(version&gt;=1.3.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.osgi.util.tracker;version="[1.3,2)"</require>
+    <require name='package' filter='(&amp;(package=org.slf4j)(version&gt;=1.5.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.slf4j;version="[1.5,2)"</require>
+    <require name='ee' filter='(|(ee=JavaSE-1.6))' extend='false' multiple='false' optional='false'>Execution Environment (|(ee=JavaSE-1.6))</require>
+  </resource>
   <resource id='org.apache.sling.api/2.0.4.incubator' symbolicname='org.apache.sling.api' presentationname='Apache Sling API' uri='http://repo1.maven.org/maven2/org/apache/sling/org.apache.sling.api/2.0.4.incubator/org.apache.sling.api-2.0.4.incubator.jar' version='2.0.4.incubator'>
     <description>The Apache Sling API defines an extension to the Servlet        API 2.4 to provide access to content and unified access        to request parameters hiding the differences between the        different methods of transferring parameters from client        to server. Note that the Apache Sling API bundle does not        include the Servlet API but instead requires the API to        be provided by the Servlet container in which the Apache        Sling framework is running or by another bundle.</description>
     <size>52065</size>
@@ -665,6 +699,50 @@
     <require name='package' filter='(&amp;(package=org.slf4j)(version&gt;=1.5.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.slf4j;version="[1.5,2)"</require>
     <require name='ee' filter='(|(ee=JavaSE-1.6))' extend='false' multiple='false' optional='false'>Execution Environment (|(ee=JavaSE-1.6))</require>
   </resource>
+  <resource id='org.apache.sling.auth.core/1.3.16' symbolicname='org.apache.sling.auth.core' presentationname='Apache Sling Authentication Service' uri='http://repo1.maven.org/maven2/org/apache/sling/org.apache.sling.auth.core/1.3.16/org.apache.sling.auth.core-1.3.16.jar' version='1.3.16'>
+    <description>The Sling Authentication Service bundle provides the basic        mechanisms to authenticate HTTP requests with a JCR repository.        The algorithms for extracting authentication details from the        requests is extensible by implementing an AuthenticationHandler        interface.</description>
+    <size>91544</size>
+    <documentation>http://sling.apache.org/site/authentication.html</documentation>
+    <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
+    <category id='sling'/>
+    <capability name='bundle'>
+      <p n='symbolicname' v='org.apache.sling.auth.core'/>
+      <p n='presentationname' v='Apache Sling Authentication Service'/>
+      <p n='version' t='version' v='1.3.16'/>
+      <p n='manifestversion' v='2'/>
+    </capability>
+    <capability name='package'>
+      <p n='package' v='org.apache.sling.auth.core'/>
+      <p n='version' t='version' v='1.2.0'/>
+      <p n='uses:' v='javax.servlet.http'/>
+    </capability>
+    <capability name='package'>
+      <p n='package' v='org.apache.sling.auth.core.spi'/>
+      <p n='version' t='version' v='1.2.0'/>
+      <p n='uses:' v='javax.servlet.http,org.apache.sling.api.resource'/>
+    </capability>
+    <capability name='package'>
+      <p n='package' v='org.apache.sling.engine.auth'/>
+      <p n='version' t='version' v='2.0.6'/>
+      <p n='uses:' v='javax.servlet.http,org.apache.sling.api'/>
+    </capability>
+    <require name='package' filter='(&amp;(package=org.apache.sling.api.auth)(version&gt;=1.0.0)(!(version&gt;=1.1.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.api.auth;version="[1.0,1.1)"</require>
+    <require name='package' filter='(&amp;(package=javax.security.auth.login))' extend='false' multiple='false' optional='false'>Import package javax.security.auth.login</require>
+    <require name='package' filter='(&amp;(package=javax.servlet))' extend='false' multiple='false' optional='false'>Import package javax.servlet</require>
+    <require name='package' filter='(&amp;(package=javax.servlet.http))' extend='false' multiple='false' optional='false'>Import package javax.servlet.http</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.api)(version&gt;=2.1.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.api;version="[2.1,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.api.request)(version&gt;=2.1.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.api.request;version="[2.1,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.api.resource)(version&gt;=2.1.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.api.resource;version="[2.1,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.api.servlets)(version&gt;=2.1.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.api.servlets;version="[2.1,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.auth.core)(version&gt;=1.2.0)(!(version&gt;=1.3.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.auth.core;version="[1.2,1.3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.auth.core.spi)(version&gt;=1.2.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.auth.core.spi;version="[1.2,2)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.engine.auth)(version&gt;=2.0.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.engine.auth;version="[2.0,3)"</require>
+    <require name='package' filter='(&amp;(package=org.osgi.framework)(version&gt;=1.4.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.osgi.framework;version="[1.4,2)"</require>
+    <require name='package' filter='(&amp;(package=org.osgi.service.event)(version&gt;=1.1.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.osgi.service.event;version="[1.1,2)"</require>
+    <require name='package' filter='(&amp;(package=org.osgi.util.tracker)(version&gt;=1.3.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.osgi.util.tracker;version="[1.3,2)"</require>
+    <require name='package' filter='(&amp;(package=org.slf4j)(version&gt;=1.5.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.slf4j;version="[1.5,2)"</require>
+    <require name='ee' filter='(|(ee=JavaSE-1.6))' extend='false' multiple='false' optional='false'>Execution Environment (|(ee=JavaSE-1.6))</require>
+  </resource>
   <resource id='org.apache.sling.auth.xing.api/0.0.2' symbolicname='org.apache.sling.auth.xing.api' presentationname='Apache Sling Authentication XING API' uri='http://repo1.maven.org/maven2/org/apache/sling/org.apache.sling.auth.xing.api/0.0.2/org.apache.sling.auth.xing.api-0.0.2.jar' version='0.0.2'>
     <description>Apache Sling Authentication XING API</description>
     <size>12826</size>
@@ -803,6 +881,45 @@
     <require name='package' filter='(&amp;(package=org.slf4j)(version&gt;=1.5.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.slf4j;version="[1.5,2)"</require>
     <require name='ee' filter='(|(ee=J2SE-1.5))' extend='false' multiple='false' optional='false'>Execution Environment (|(ee=J2SE-1.5))</require>
   </resource>
+  <resource id='org.apache.sling.bgservlets/1.0.6' symbolicname='org.apache.sling.bgservlets' presentationname='Apache Sling Background Servlets Engine' uri='http://repo1.maven.org/maven2/org/apache/sling/org.apache.sling.bgservlets/1.0.6/org.apache.sling.bgservlets-1.0.6.jar' version='1.0.6'>
+    <description>Allows scripts and servlets to run as background tasks    which can be suspended, resumed, stopped and restarted.</description>
+    <size>85375</size>
+    <documentation>http://sling.apache.org</documentation>
+    <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
+    <category id='sling'/>
+    <capability name='bundle'>
+      <p n='symbolicname' v='org.apache.sling.bgservlets'/>
+      <p n='presentationname' v='Apache Sling Background Servlets Engine'/>
+      <p n='version' t='version' v='1.0.6'/>
+      <p n='manifestversion' v='2'/>
+    </capability>
+    <capability name='package'>
+      <p n='package' v='org.apache.sling.bgservlets'/>
+      <p n='version' t='version' v='1.0.6'/>
+      <p n='uses:' v='javax.jcr,javax.servlet,javax.servlet.http'/>
+    </capability>
+    <require name='package' filter='(&amp;(package=javax.jcr)(version&gt;=2.0.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package javax.jcr;version="[2.0,3)"</require>
+    <require name='package' filter='(&amp;(package=javax.jcr.query)(version&gt;=2.0.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package javax.jcr.query;version="[2.0,3)"</require>
+    <require name='package' filter='(&amp;(package=javax.servlet))' extend='false' multiple='false' optional='false'>Import package javax.servlet</require>
+    <require name='package' filter='(&amp;(package=javax.servlet.http))' extend='false' multiple='false' optional='false'>Import package javax.servlet.http</require>
+    <require name='package' filter='(&amp;(package=org.apache.felix.webconsole)(version&gt;=3.0.0)(!(version&gt;=4.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.felix.webconsole;version="[3.0,4)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.api)(version&gt;=2.3.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.api;version="[2.3,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.api.request)(version&gt;=2.4.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.api.request;version="[2.4,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.api.resource)(version&gt;=2.6.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.api.resource;version="[2.6,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.api.servlets)(version&gt;=2.1.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.api.servlets;version="[2.1,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.bgservlets))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.bgservlets</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.commons.json)(version&gt;=2.0.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.commons.json;version="[2.0,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.commons.json.io)(version&gt;=2.0.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.commons.json.io;version="[2.0,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.commons.osgi)(version&gt;=2.1.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.commons.osgi;version="[2.1,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.engine)(version&gt;=2.1.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.engine;version="[2.1,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.jcr.api)(version&gt;=2.0.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.jcr.api;version="[2.0,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.settings)(version&gt;=1.0.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.settings;version="[1.0,2)"</require>
+    <require name='package' filter='(&amp;(package=org.osgi.framework)(version&gt;=1.4.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.osgi.framework;version="[1.4,2)"</require>
+    <require name='package' filter='(&amp;(package=org.osgi.service.component)(version&gt;=1.0.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.osgi.service.component;version="[1.0,2)"</require>
+    <require name='package' filter='(&amp;(package=org.osgi.util.tracker)(version&gt;=1.3.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.osgi.util.tracker;version="[1.3,2)"</require>
+    <require name='package' filter='(&amp;(package=org.slf4j)(version&gt;=1.5.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.slf4j;version="[1.5,2)"</require>
+    <require name='ee' filter='(|(ee=J2SE-1.5))' extend='false' multiple='false' optional='false'>Execution Environment (|(ee=J2SE-1.5))</require>
+  </resource>
   <resource id='org.apache.sling.bundleresource.impl/2.0.4.incubator' symbolicname='org.apache.sling.bundleresource.impl' presentationname='Apache Sling Bundle Resource Provider' uri='http://repo1.maven.org/maven2/org/apache/sling/org.apache.sling.bundleresource.impl/2.0.4.incubator/org.apache.sling.bundleresource.impl-2.0.4.incubator.jar' version='2.0.4.incubator'>
     <description>Provides a ResourceProvider implementation supporting bundle        based resources.</description>
     <size>36704</size>
@@ -941,6 +1058,33 @@
     <require name='package' filter='(&amp;(package=org.slf4j)(version&gt;=1.5.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.slf4j;version="[1.5,2)"</require>
     <require name='ee' filter='(|(ee=JavaSE-1.6))' extend='false' multiple='false' optional='false'>Execution Environment (|(ee=JavaSE-1.6))</require>
   </resource>
+  <resource id='org.apache.sling.commons.compiler/2.3.0' symbolicname='org.apache.sling.commons.compiler' presentationname='Apache Sling Commons Java Compiler' uri='http://repo1.maven.org/maven2/org/apache/sling/org.apache.sling.commons.compiler/2.3.0/org.apache.sling.commons.compiler-2.3.0.jar' version='2.3.0'>
+    <description>The Sling Commons Java Compiler bundle provides platform independant Java Compilation         support using the Eclipse Java Compiler (org.eclipse.jdt).</description>
+    <size>2318832</size>
+    <documentation>http://sling.apache.org</documentation>
+    <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
+    <category id='sling'/>
+    <capability name='bundle'>
+      <p n='symbolicname' v='org.apache.sling.commons.compiler'/>
+      <p n='presentationname' v='Apache Sling Commons Java Compiler'/>
+      <p n='version' t='version' v='2.3.0'/>
+      <p n='manifestversion' v='2'/>
+    </capability>
+    <capability name='package'>
+      <p n='package' v='org.apache.sling.commons.compiler'/>
+      <p n='version' t='version' v='2.1.0'/>
+    </capability>
+    <require name='package' filter='(&amp;(package=javax.annotation.processing))' extend='false' multiple='false' optional='false'>Import package javax.annotation.processing</require>
+    <require name='package' filter='(&amp;(package=javax.lang.model))' extend='false' multiple='false' optional='false'>Import package javax.lang.model</require>
+    <require name='package' filter='(&amp;(package=javax.lang.model.element))' extend='false' multiple='false' optional='false'>Import package javax.lang.model.element</require>
+    <require name='package' filter='(&amp;(package=javax.lang.model.type))' extend='false' multiple='false' optional='false'>Import package javax.lang.model.type</require>
+    <require name='package' filter='(&amp;(package=javax.lang.model.util))' extend='false' multiple='false' optional='false'>Import package javax.lang.model.util</require>
+    <require name='package' filter='(&amp;(package=javax.tools))' extend='false' multiple='false' optional='false'>Import package javax.tools</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.commons.classloader)(version&gt;=1.3.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.commons.classloader;version="[1.3,2)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.commons.compiler)(version&gt;=2.1.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.commons.compiler;version="[2.1,3)"</require>
+    <require name='package' filter='(&amp;(package=org.slf4j)(version&gt;=1.5.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.slf4j;version="[1.5,2)"</require>
+    <require name='ee' filter='(|(ee=JavaSE-1.7))' extend='false' multiple='false' optional='false'>Execution Environment (|(ee=JavaSE-1.7))</require>
+  </resource>
   <resource id='org.apache.sling.commons.osgi/2.0.4.incubator' symbolicname='org.apache.sling.commons.osgi' presentationname='Apache Sling Commons OSGi support' uri='http://repo1.maven.org/maven2/org/apache/sling/org.apache.sling.commons.osgi/2.0.4.incubator/org.apache.sling.commons.osgi-2.0.4.incubator.jar' version='2.0.4.incubator'>
     <description>Commons OSGi</description>
     <size>16006</size>
@@ -963,6 +1107,33 @@
     <require name='package' filter='(&amp;(package=org.osgi.framework))' extend='false' multiple='false' optional='false'>Import package org.osgi.framework</require>
     <require name='package' filter='(&amp;(package=org.osgi.service.event))' extend='false' multiple='false' optional='false'>Import package org.osgi.service.event</require>
   </resource>
+  <resource id='org.apache.sling.commons.osgi/2.4.0' symbolicname='org.apache.sling.commons.osgi' presentationname='Apache Sling Commons OSGi support' uri='http://repo1.maven.org/maven2/org/apache/sling/org.apache.sling.commons.osgi/2.4.0/org.apache.sling.commons.osgi-2.4.0.jar' version='2.4.0'>
+    <description>Commons OSGi</description>
+    <size>33653</size>
+    <documentation>http://sling.apache.org</documentation>
+    <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
+    <category id='sling'/>
+    <capability name='bundle'>
+      <p n='symbolicname' v='org.apache.sling.commons.osgi'/>
+      <p n='presentationname' v='Apache Sling Commons OSGi support'/>
+      <p n='version' t='version' v='2.4.0'/>
+      <p n='manifestversion' v='2'/>
+    </capability>
+    <capability name='package'>
+      <p n='package' v='org.apache.sling.commons.osgi'/>
+      <p n='version' t='version' v='2.4.0'/>
+      <p n='uses:' v='org.osgi.framework,org.osgi.service.event,org.osgi.util.tracker'/>
+    </capability>
+    <capability name='package'>
+      <p n='package' v='org.apache.sling.commons.osgi.bundleversion'/>
+      <p n='version' t='version' v='2.2.0'/>
+      <p n='uses:' v='org.osgi.framework'/>
+    </capability>
+    <require name='package' filter='(&amp;(package=org.osgi.framework)(version&gt;=1.4.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.osgi.framework;version="[1.4,2)"</require>
+    <require name='package' filter='(&amp;(package=org.osgi.service.event)(version&gt;=1.1.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.osgi.service.event;version="[1.1,2)"</require>
+    <require name='package' filter='(&amp;(package=org.osgi.util.tracker)(version&gt;=1.3.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.osgi.util.tracker;version="[1.3,2)"</require>
+    <require name='ee' filter='(|(ee=JavaSE-1.6))' extend='false' multiple='false' optional='false'>Execution Environment (|(ee=JavaSE-1.6))</require>
+  </resource>
   <resource id='org.apache.sling.commons.osgi/2.2.2' symbolicname='org.apache.sling.commons.osgi' presentationname='Apache Sling Commons OSGi support' uri='http://repo1.maven.org/maven2/org/apache/sling/org.apache.sling.commons.osgi/2.2.2/org.apache.sling.commons.osgi-2.2.2.jar' version='2.2.2'>
     <description>Commons OSGi</description>
     <size>26023</size>
@@ -1275,6 +1446,73 @@
     <require name='package' filter='(&amp;(package=org.xml.sax.helpers))' extend='false' multiple='false' optional='false'>Import package org.xml.sax.helpers</require>
     <require name='ee' filter='(|(ee=J2SE-1.5))' extend='false' multiple='false' optional='false'>Execution Environment (|(ee=J2SE-1.5))</require>
   </resource>
+  <resource id='org.apache.sling.jcr.davex/1.3.4' symbolicname='org.apache.sling.jcr.davex' presentationname='Apache Sling DavEx Access to repositories' uri='http://repo1.maven.org/maven2/org/apache/sling/org.apache.sling.jcr.davex/1.3.4/org.apache.sling.jcr.davex-1.3.4.jar' version='1.3.4'>
+    <description>Bundle to access JCR repositories over DavEx</description>
+    <size>273904</size>
+    <documentation>http://sling.apache.org</documentation>
+    <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
+    <category id='sling'/>
+    <category id='jcr'/>
+    <capability name='bundle'>
+      <p n='symbolicname' v='org.apache.sling.jcr.davex'/>
+      <p n='presentationname' v='Apache Sling DavEx Access to repositories'/>
+      <p n='version' t='version' v='1.3.4'/>
+      <p n='manifestversion' v='2'/>
+    </capability>
+    <require name='package' filter='(&amp;(package=javax.jcr)(version&gt;=2.0.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package javax.jcr;version="[2.0,3)"</require>
+    <require name='package' filter='(&amp;(package=javax.jcr.lock)(version&gt;=2.0.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package javax.jcr.lock;version="[2.0,3)"</require>
+    <require name='package' filter='(&amp;(package=javax.jcr.nodetype)(version&gt;=2.0.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package javax.jcr.nodetype;version="[2.0,3)"</require>
+    <require name='package' filter='(&amp;(package=javax.jcr.observation)(version&gt;=2.0.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package javax.jcr.observation;version="[2.0,3)"</require>
+    <require name='package' filter='(&amp;(package=javax.jcr.query)(version&gt;=2.0.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package javax.jcr.query;version="[2.0,3)"</require>
+    <require name='package' filter='(&amp;(package=javax.jcr.security)(version&gt;=2.0.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package javax.jcr.security;version="[2.0,3)"</require>
+    <require name='package' filter='(&amp;(package=javax.jcr.version)(version&gt;=2.0.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package javax.jcr.version;version="[2.0,3)"</require>
+    <require name='package' filter='(&amp;(package=javax.servlet))' extend='false' multiple='false' optional='false'>Import package javax.servlet</require>
+    <require name='package' filter='(&amp;(package=javax.servlet.http))' extend='false' multiple='false' optional='false'>Import package javax.servlet.http</require>
+    <require name='package' filter='(&amp;(package=javax.transaction.xa))' extend='false' multiple='false' optional='false'>Import package javax.transaction.xa</require>
+    <require name='package' filter='(&amp;(package=javax.xml.parsers))' extend='false' multiple='false' optional='false'>Import package javax.xml.parsers</require>
+    <require name='package' filter='(&amp;(package=javax.xml.transform))' extend='false' multiple='false' optional='false'>Import package javax.xml.transform</require>
+    <require name='package' filter='(&amp;(package=javax.xml.transform.dom))' extend='false' multiple='false' optional='false'>Import package javax.xml.transform.dom</require>
+    <require name='package' filter='(&amp;(package=javax.xml.transform.sax))' extend='false' multiple='false' optional='false'>Import package javax.xml.transform.sax</require>
+    <require name='package' filter='(&amp;(package=javax.xml.transform.stream))' extend='false' multiple='false' optional='false'>Import package javax.xml.transform.stream</require>
+    <require name='package' filter='(&amp;(package=org.apache.commons.fileupload)(version&gt;=1.2.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.commons.fileupload;version="[1.2,2)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.commons.fileupload.disk)(version&gt;=1.2.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.commons.fileupload.disk;version="[1.2,2)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.commons.fileupload.servlet)(version&gt;=1.2.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.commons.fileupload.servlet;version="[1.2,2)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.jackrabbit.commons.cnd)(version&gt;=2.3.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.jackrabbit.commons.cnd;version="[2.3,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.jackrabbit.commons.iterator)(version&gt;=2.4.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.jackrabbit.commons.iterator;version="[2.4,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.jackrabbit.commons.json)(version&gt;=2.2.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.jackrabbit.commons.json;version="[2.2,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.jackrabbit.commons.webdav)(version&gt;=2.5.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.jackrabbit.commons.webdav;version="[2.5,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.jackrabbit.commons.xml)(version&gt;=2.2.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.jackrabbit.commons.xml;version="[2.2,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.jackrabbit.spi)(version&gt;=3.0.0)(!(version&gt;=4.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.jackrabbit.spi;version="[3.0,4)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.jackrabbit.spi.commons)(version&gt;=2.4.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.jackrabbit.spi.commons;version="[2.4,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.jackrabbit.util)(version&gt;=2.4.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.jackrabbit.util;version="[2.4,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.jackrabbit.value)(version&gt;=2.2.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.jackrabbit.value;version="[2.2,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.jackrabbit.webdav)(version&gt;=1.0.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.jackrabbit.webdav;version="[1.0,2)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.jackrabbit.webdav.header)(version&gt;=1.0.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.jackrabbit.webdav.header;version="[1.0,2)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.jackrabbit.webdav.io)(version&gt;=1.0.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.jackrabbit.webdav.io;version="[1.0,2)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.jackrabbit.webdav.lock)(version&gt;=1.0.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.jackrabbit.webdav.lock;version="[1.0,2)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.jackrabbit.webdav.observation)(version&gt;=1.0.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.jackrabbit.webdav.observation;version="[1.0,2)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.jackrabbit.webdav.ordering)(version&gt;=1.0.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.jackrabbit.webdav.ordering;version="[1.0,2)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.jackrabbit.webdav.property)(version&gt;=1.0.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.jackrabbit.webdav.property;version="[1.0,2)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.jackrabbit.webdav.search)(version&gt;=1.0.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.jackrabbit.webdav.search;version="[1.0,2)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.jackrabbit.webdav.security)(version&gt;=1.0.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.jackrabbit.webdav.security;version="[1.0,2)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.jackrabbit.webdav.server)(version&gt;=1.0.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.jackrabbit.webdav.server;version="[1.0,2)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.jackrabbit.webdav.transaction)(version&gt;=1.0.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.jackrabbit.webdav.transaction;version="[1.0,2)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.jackrabbit.webdav.util)(version&gt;=1.0.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.jackrabbit.webdav.util;version="[1.0,2)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.jackrabbit.webdav.version)(version&gt;=1.0.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.jackrabbit.webdav.version;version="[1.0,2)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.jackrabbit.webdav.version.report)(version&gt;=1.0.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.jackrabbit.webdav.version.report;version="[1.0,2)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.jackrabbit.webdav.xml)(version&gt;=1.1.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.jackrabbit.webdav.xml;version="[1.1,2)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.api.resource)(version&gt;=2.1.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.api.resource;version="[2.1,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.auth.core)(version&gt;=1.0.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.auth.core;version="[1.0,2)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.jcr.api)(version&gt;=2.0.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.jcr.api;version="[2.0,3)"</require>
+    <require name='package' filter='(&amp;(package=org.osgi.framework)(version&gt;=1.4.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.osgi.framework;version="[1.4,2)"</require>
+    <require name='package' filter='(&amp;(package=org.osgi.service.event)(version&gt;=1.1.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.osgi.service.event;version="[1.1,2)"</require>
+    <require name='package' filter='(&amp;(package=org.osgi.service.http)(version&gt;=1.2.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.osgi.service.http;version="[1.2,2)"</require>
+    <require name='package' filter='(&amp;(package=org.slf4j)(version&gt;=1.5.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.slf4j;version="[1.5,2)"</require>
+    <require name='package' filter='(&amp;(package=org.w3c.dom))' extend='false' multiple='false' optional='false'>Import package org.w3c.dom</require>
+    <require name='package' filter='(&amp;(package=org.xml.sax))' extend='false' multiple='false' optional='false'>Import package org.xml.sax</require>
+    <require name='package' filter='(&amp;(package=org.xml.sax.helpers))' extend='false' multiple='false' optional='false'>Import package org.xml.sax.helpers</require>
+    <require name='ee' filter='(|(ee=JavaSE-1.6))' extend='false' multiple='false' optional='false'>Execution Environment (|(ee=JavaSE-1.6))</require>
+  </resource>
   <resource id='org.apache.sling.servlets.get/2.0.4.incubator' symbolicname='org.apache.sling.servlets.get' presentationname='Apache Sling Default GET Servlets' uri='http://repo1.maven.org/maven2/org/apache/sling/org.apache.sling.servlets.get/2.0.4.incubator/org.apache.sling.servlets.get-2.0.4.incubator.jar' version='2.0.4.incubator'>
     <description>Provides default GET servlets for HTML, Text and JSON rendering        and streaming resources.</description>
     <size>44276</size>
@@ -1366,6 +1604,38 @@
     <require name='package' filter='(&amp;(package=org.xml.sax))' extend='false' multiple='false' optional='false'>Import package org.xml.sax</require>
     <require name='ee' filter='(|(ee=J2SE-1.5))' extend='false' multiple='false' optional='false'>Execution Environment (|(ee=J2SE-1.5))</require>
   </resource>
+  <resource id='org.apache.sling.servlets.get/2.1.14' symbolicname='org.apache.sling.servlets.get' presentationname='Apache Sling Default GET Servlets' uri='http://repo1.maven.org/maven2/org/apache/sling/org.apache.sling.servlets.get/2.1.14/org.apache.sling.servlets.get-2.1.14.jar' version='2.1.14'>
+    <description>Provides default GET servlets for HTML, Text and JSON rendering        and streaming resources.</description>
+    <size>58189</size>
+    <documentation>http://sling.apache.org</documentation>
+    <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
+    <category id='sling'/>
+    <capability name='bundle'>
+      <p n='symbolicname' v='org.apache.sling.servlets.get'/>
+      <p n='presentationname' v='Apache Sling Default GET Servlets'/>
+      <p n='version' t='version' v='2.1.14'/>
+      <p n='manifestversion' v='2'/>
+    </capability>
+    <require name='package' filter='(&amp;(package=javax.jcr))' extend='false' multiple='false' optional='false'>Import package javax.jcr</require>
+    <require name='package' filter='(&amp;(package=javax.jcr.version))' extend='false' multiple='false' optional='false'>Import package javax.jcr.version</require>
+    <require name='package' filter='(&amp;(package=javax.servlet))' extend='false' multiple='false' optional='false'>Import package javax.servlet</require>
+    <require name='package' filter='(&amp;(package=javax.servlet.http))' extend='false' multiple='false' optional='false'>Import package javax.servlet.http</require>
+    <require name='package' filter='(&amp;(package=org.apache.commons.lang)(version&gt;=2.4.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.commons.lang;version="[2.4,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.api)(version&gt;=2.0.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.api;version="[2.0,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.api.request)(version&gt;=2.0.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.api.request;version="[2.0,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.api.resource)(version&gt;=2.0.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.api.resource;version="[2.0,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.api.servlets)(version&gt;=2.0.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.api.servlets;version="[2.0,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.api.wrappers)(version&gt;=2.0.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.api.wrappers;version="[2.0,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.commons.json)(version&gt;=2.0.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.commons.json;version="[2.0,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.commons.json.io)(version&gt;=2.1.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.commons.json.io;version="[2.1,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.commons.json.jcr)(version&gt;=2.0.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.commons.json.jcr;version="[2.0,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.commons.json.sling)(version&gt;=1.0.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.commons.json.sling;version="[1.0,2)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.commons.osgi)(version&gt;=2.0.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.commons.osgi;version="[2.0,3)"</require>
+    <require name='package' filter='(&amp;(package=org.osgi.service.component)(version&gt;=1.0.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.osgi.service.component;version="[1.0,2)"</require>
+    <require name='package' filter='(&amp;(package=org.slf4j)(version&gt;=1.5.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.slf4j;version="[1.5,2)"</require>
+    <require name='package' filter='(&amp;(package=org.xml.sax))' extend='false' multiple='false' optional='false'>Import package org.xml.sax</require>
+    <require name='ee' filter='(|(ee=JavaSE-1.6))' extend='false' multiple='false' optional='false'>Execution Environment (|(ee=JavaSE-1.6))</require>
+  </resource>
   <resource id='org.apache.sling.servlets.post/2.0.4.incubator' symbolicname='org.apache.sling.servlets.post' presentationname='Apache Sling Default POST Servlets' uri='http://repo1.maven.org/maven2/org/apache/sling/org.apache.sling.servlets.post/2.0.4.incubator/org.apache.sling.servlets.post-2.0.4.incubator.jar' version='2.0.4.incubator'>
     <description>Provides default POST servlets.</description>
     <size>61815</size>
@@ -1476,14 +1746,52 @@
     <require name='package' filter='(&amp;(package=org.slf4j)(version&gt;=1.5.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.slf4j;version="[1.5,2)"</require>
     <require name='ee' filter='(|(ee=J2SE-1.5))' extend='false' multiple='false' optional='false'>Execution Environment (|(ee=J2SE-1.5))</require>
   </resource>
-  <resource id='org.apache.sling.discovery.api/1.0.2' symbolicname='org.apache.sling.discovery.api' presentationname='Apache Sling Discovery API' uri='http://repo1.maven.org/maven2/org/apache/sling/org.apache.sling.discovery.api/1.0.2/org.apache.sling.discovery.api-1.0.2.jar' version='1.0.2'>
-    <description>Support for topology discovery of instances.</description>
-    <size>13451</size>
+  <resource id='org.apache.sling.servlets.post/2.3.12' symbolicname='org.apache.sling.servlets.post' presentationname='Apache Sling Default POST Servlets' uri='http://repo1.maven.org/maven2/org/apache/sling/org.apache.sling.servlets.post/2.3.12/org.apache.sling.servlets.post-2.3.12.jar' version='2.3.12'>
+    <description>Provides default POST servlets.</description>
+    <size>151333</size>
     <documentation>http://sling.apache.org</documentation>
     <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
     <category id='sling'/>
     <capability name='bundle'>
-      <p n='symbolicname' v='org.apache.sling.discovery.api'/>
+      <p n='symbolicname' v='org.apache.sling.servlets.post'/>
+      <p n='presentationname' v='Apache Sling Default POST Servlets'/>
+      <p n='version' t='version' v='2.3.12'/>
+      <p n='manifestversion' v='2'/>
+    </capability>
+    <capability name='package'>
+      <p n='package' v='org.apache.sling.servlets.post'/>
+      <p n='version' t='version' v='2.3.0'/>
+      <p n='uses:' v='javax.jcr,javax.servlet.http,org.apache.sling.api,org.apache.sling.api.resource,org.apache.sling.api.servlets,org.slf4j'/>
+    </capability>
+    <require name='package' filter='(&amp;(package=javax.jcr)(version&gt;=2.0.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package javax.jcr;version="[2.0,3)"</require>
+    <require name='package' filter='(&amp;(package=javax.jcr.nodetype)(version&gt;=2.0.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package javax.jcr.nodetype;version="[2.0,3)"</require>
+    <require name='package' filter='(&amp;(package=javax.jcr.query)(version&gt;=2.0.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package javax.jcr.query;version="[2.0,3)"</require>
+    <require name='package' filter='(&amp;(package=javax.jcr.version)(version&gt;=2.0.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package javax.jcr.version;version="[2.0,3)"</require>
+    <require name='package' filter='(&amp;(package=javax.servlet))' extend='false' multiple='false' optional='false'>Import package javax.servlet</require>
+    <require name='package' filter='(&amp;(package=javax.servlet.http))' extend='false' multiple='false' optional='false'>Import package javax.servlet.http</require>
+    <require name='package' filter='(&amp;(package=org.apache.commons.io)(version&gt;=1.4.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.commons.io;version="[1.4,2)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.api)(version&gt;=2.2.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.api;version="[2.2,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.api.request)(version&gt;=2.2.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.api.request;version="[2.2,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.api.resource)(version&gt;=2.2.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.api.resource;version="[2.2,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.api.servlets)(version&gt;=2.1.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.api.servlets;version="[2.1,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.api.wrappers)(version&gt;=2.2.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.api.wrappers;version="[2.2,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.commons.json)(version&gt;=2.0.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.commons.json;version="[2.0,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.commons.osgi)(version&gt;=2.0.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.commons.osgi;version="[2.0,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.jcr.api)(version&gt;=2.0.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.jcr.api;version="[2.0,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.jcr.contentloader)(version&gt;=0.1.0)(!(version&gt;=1.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.jcr.contentloader;version="[0.1,1)"</require>
+    <require name='package' filter='(&amp;(package=org.osgi.framework)(version&gt;=1.4.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.osgi.framework;version="[1.4,2)"</require>
+    <require name='package' filter='(&amp;(package=org.osgi.service.component)(version&gt;=1.0.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.osgi.service.component;version="[1.0,2)"</require>
+    <require name='package' filter='(&amp;(package=org.slf4j)(version&gt;=1.5.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.slf4j;version="[1.5,2)"</require>
+    <require name='ee' filter='(|(ee=JavaSE-1.6))' extend='false' multiple='false' optional='false'>Execution Environment (|(ee=JavaSE-1.6))</require>
+  </resource>
+  <resource id='org.apache.sling.discovery.api/1.0.2' symbolicname='org.apache.sling.discovery.api' presentationname='Apache Sling Discovery API' uri='http://repo1.maven.org/maven2/org/apache/sling/org.apache.sling.discovery.api/1.0.2/org.apache.sling.discovery.api-1.0.2.jar' version='1.0.2'>
+    <description>Support for topology discovery of instances.</description>
+    <size>13451</size>
+    <documentation>http://sling.apache.org</documentation>
+    <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
+    <category id='sling'/>
+    <capability name='bundle'>
+      <p n='symbolicname' v='org.apache.sling.discovery.api'/>
       <p n='presentationname' v='Apache Sling Discovery API'/>
       <p n='version' t='version' v='1.0.2'/>
       <p n='manifestversion' v='2'/>
@@ -1494,6 +1802,24 @@
     </capability>
     <require name='ee' filter='(|(ee=J2SE-1.5))' extend='false' multiple='false' optional='false'>Execution Environment (|(ee=J2SE-1.5))</require>
   </resource>
+  <resource id='org.apache.sling.discovery.api/1.0.4' symbolicname='org.apache.sling.discovery.api' presentationname='Apache Sling Discovery API' uri='http://repo1.maven.org/maven2/org/apache/sling/org.apache.sling.discovery.api/1.0.4/org.apache.sling.discovery.api-1.0.4.jar' version='1.0.4'>
+    <description>Support for topology discovery of instances.</description>
+    <size>13487</size>
+    <documentation>http://sling.apache.org</documentation>
+    <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
+    <category id='sling'/>
+    <capability name='bundle'>
+      <p n='symbolicname' v='org.apache.sling.discovery.api'/>
+      <p n='presentationname' v='Apache Sling Discovery API'/>
+      <p n='version' t='version' v='1.0.4'/>
+      <p n='manifestversion' v='2'/>
+    </capability>
+    <capability name='package'>
+      <p n='package' v='org.apache.sling.discovery'/>
+      <p n='version' t='version' v='1.0.2'/>
+    </capability>
+    <require name='ee' filter='(|(ee=JavaSE-1.6))' extend='false' multiple='false' optional='false'>Execution Environment (|(ee=JavaSE-1.6))</require>
+  </resource>
   <resource id='org.apache.sling.discovery.base/1.1.2' symbolicname='org.apache.sling.discovery.base' presentationname='Apache Sling Discovery Base' uri='http://repo1.maven.org/maven2/org/apache/sling/org.apache.sling.discovery.base/1.1.2/org.apache.sling.discovery.base-1.1.2.jar' version='1.1.2'>
     <description>Contains Connector and Properties support that some implementations might choose to build upon</description>
     <size>84695</size>
@@ -1701,6 +2027,23 @@
     <require name='package' filter='(&amp;(package=org.slf4j)(version&gt;=1.5.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.slf4j;version="[1.5,2)"</require>
     <require name='ee' filter='(|(ee=J2SE-1.5))' extend='false' multiple='false' optional='false'>Execution Environment (|(ee=J2SE-1.5))</require>
   </resource>
+  <resource id='org.apache.sling.discovery.standalone/1.0.2' symbolicname='org.apache.sling.discovery.standalone' presentationname='Apache Sling Discovery Standalone Implementation' uri='http://repo1.maven.org/maven2/org/apache/sling/org.apache.sling.discovery.standalone/1.0.2/org.apache.sling.discovery.standalone-1.0.2.jar' version='1.0.2'>
+    <description>Implementation of the discovery API for standalone instances</description>
+    <size>17157</size>
+    <documentation>http://sling.apache.org</documentation>
+    <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
+    <category id='sling'/>
+    <capability name='bundle'>
+      <p n='symbolicname' v='org.apache.sling.discovery.standalone'/>
+      <p n='presentationname' v='Apache Sling Discovery Standalone Implementation'/>
+      <p n='version' t='version' v='1.0.2'/>
+      <p n='manifestversion' v='2'/>
+    </capability>
+    <require name='package' filter='(&amp;(package=org.apache.sling.discovery)(version&gt;=1.0.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.discovery;version="[1.0,2)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.settings)(version&gt;=1.1.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.settings;version="[1.1,2)"</require>
+    <require name='package' filter='(&amp;(package=org.slf4j)(version&gt;=1.5.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.slf4j;version="[1.5,2)"</require>
+    <require name='ee' filter='(|(ee=JavaSE-1.6))' extend='false' multiple='false' optional='false'>Execution Environment (|(ee=JavaSE-1.6))</require>
+  </resource>
   <resource id='org.apache.sling.discovery.support/1.0.0' symbolicname='org.apache.sling.discovery.support' presentationname='Apache Sling Discovery Support Bundle' uri='http://repo1.maven.org/maven2/org/apache/sling/org.apache.sling.discovery.support/1.0.0/org.apache.sling.discovery.support-1.0.0.jar' version='1.0.0'>
     <description>Supporting services for the discovery</description>
     <size>13275</size>
@@ -1769,6 +2112,61 @@
     <require name='package' filter='(&amp;(package=org.slf4j)(version&gt;=1.5.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.slf4j;version="[1.5,2)"</require>
     <require name='ee' filter='(|(ee=JavaSE-1.6))' extend='false' multiple='false' optional='false'>Execution Environment (|(ee=JavaSE-1.6))</require>
   </resource>
+  <resource id='org.apache.sling.event.dea/1.0.4' symbolicname='org.apache.sling.event.dea' presentationname='Apache Sling Distributed Event Admin' uri='http://repo1.maven.org/maven2/org/apache/sling/org.apache.sling.event.dea/1.0.4/org.apache.sling.event.dea-1.0.4.jar' version='1.0.4'>
+    <description>Support distributing events through the OSGi event admin.</description>
+    <size>28647</size>
+    <documentation>http://sling.apache.org</documentation>
+    <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
+    <category id='sling'/>
+    <capability name='bundle'>
+      <p n='symbolicname' v='org.apache.sling.event.dea'/>
+      <p n='presentationname' v='Apache Sling Distributed Event Admin'/>
+      <p n='version' t='version' v='1.0.4'/>
+      <p n='manifestversion' v='2'/>
+    </capability>
+    <capability name='package'>
+      <p n='package' v='org.apache.sling.event.dea'/>
+      <p n='version' t='version' v='1.0.0'/>
+    </capability>
+    <require name='package' filter='(&amp;(package=org.apache.sling.api.resource)(version&gt;=2.3.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.api.resource;version="[2.3,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.commons.osgi)(version&gt;=2.2.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.commons.osgi;version="[2.2,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.discovery)(version&gt;=1.0.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.discovery;version="[1.0,2)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.settings)(version&gt;=1.0.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.settings;version="[1.0,2)"</require>
+    <require name='package' filter='(&amp;(package=org.osgi.framework)(version&gt;=1.5.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.osgi.framework;version="[1.5,2)"</require>
+    <require name='package' filter='(&amp;(package=org.osgi.service.event)(version&gt;=1.2.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.osgi.service.event;version="[1.2,2)"</require>
+    <require name='package' filter='(&amp;(package=org.slf4j)(version&gt;=1.5.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.slf4j;version="[1.5,2)"</require>
+    <require name='ee' filter='(|(ee=JavaSE-1.6))' extend='false' multiple='false' optional='false'>Execution Environment (|(ee=JavaSE-1.6))</require>
+  </resource>
+  <resource id='org.apache.sling.distribution.api/0.3.0' symbolicname='org.apache.sling.distribution.api' presentationname='Apache Sling Distribution API' uri='http://repo1.maven.org/maven2/org/apache/sling/org.apache.sling.distribution.api/0.3.0/org.apache.sling.distribution.api-0.3.0.jar' version='0.3.0'>
+    <description>The Apache Sling Distribution API bundle provides the APIs for the Sling Content Distribution module</description>
+    <size>17172</size>
+    <documentation>http://sling.apache.org</documentation>
+    <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
+    <category id='sling'/>
+    <capability name='bundle'>
+      <p n='symbolicname' v='org.apache.sling.distribution.api'/>
+      <p n='presentationname' v='Apache Sling Distribution API'/>
+      <p n='version' t='version' v='0.3.0'/>
+      <p n='manifestversion' v='2'/>
+    </capability>
+    <capability name='package'>
+      <p n='package' v='org.apache.sling.distribution'/>
+      <p n='version' t='version' v='0.3.0'/>
+      <p n='uses:' v='javax.annotation,org.apache.sling.api.resource'/>
+    </capability>
+    <capability name='package'>
+      <p n='package' v='org.apache.sling.distribution.event'/>
+      <p n='version' t='version' v='0.1.1'/>
+    </capability>
+    <capability name='package'>
+      <p n='package' v='org.apache.sling.distribution.transport'/>
+      <p n='version' t='version' v='0.1.0'/>
+      <p n='uses:' v='javax.annotation'/>
+    </capability>
+    <require name='package' filter='(&amp;(package=javax.annotation))' extend='false' multiple='false' optional='false'>Import package javax.annotation</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.api.resource)(version&gt;=2.4.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.api.resource;version="[2.4,3)"</require>
+    <require name='ee' filter='(|(ee=JavaSE-1.6))' extend='false' multiple='false' optional='false'>Execution Environment (|(ee=JavaSE-1.6))</require>
+  </resource>
   <resource id='org.apache.sling.distribution.api/0.1.0' symbolicname='org.apache.sling.distribution.api' presentationname='Apache Sling Distribution API' uri='http://repo1.maven.org/maven2/org/apache/sling/org.apache.sling.distribution.api/0.1.0/org.apache.sling.distribution.api-0.1.0.jar' version='0.1.0'>
     <description>The Apache Sling Distribution API bundle provides the APIs for the Sling Content Distribution module</description>
     <size>16278</size>
@@ -1985,6 +2383,99 @@
     <require name='package' filter='(&amp;(package=org.slf4j.helpers)(version&gt;=1.6.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.slf4j.helpers;version="[1.6,2)"</require>
     <require name='ee' filter='(|(ee=J2SE-1.5))' extend='false' multiple='false' optional='false'>Execution Environment (|(ee=J2SE-1.5))</require>
   </resource>
+  <resource id='org.apache.sling.distribution.core/0.1.18' symbolicname='org.apache.sling.distribution.core' presentationname='Apache Sling Distribution Core' uri='http://repo1.maven.org/maven2/org/apache/sling/org.apache.sling.distribution.core/0.1.18/org.apache.sling.distribution.core-0.1.18.jar' version='0.1.18'>
+    <description>The Apache Sling Distribution Core bundle provides the basic code infrastructure and API implementations for the        Sling Content Distribution module</description>
+    <size>521028</size>
+    <documentation>http://sling.apache.org</documentation>
+    <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
+    <category id='sling'/>
+    <capability name='bundle'>
+      <p n='symbolicname' v='org.apache.sling.distribution.core'/>
+      <p n='presentationname' v='Apache Sling Distribution Core'/>
+      <p n='version' t='version' v='0.1.18'/>
+      <p n='manifestversion' v='2'/>
+    </capability>
+    <capability name='package'>
+      <p n='package' v='org.apache.sling.distribution.util'/>
+      <p n='version' t='version' v='0.1.0'/>
+      <p n='uses:' v='javax.annotation,javax.jcr,javax.jcr.observation,javax.servlet.http,org.apache.sling.distribution'/>
+    </capability>
+    <require name='package' filter='(&amp;(package=org.apache.sling.event.jobs)(version&gt;=1.5.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.event.jobs;version="[1.5.0,3.0)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.event.jobs.consumer)(version&gt;=1.1.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.event.jobs.consumer;version="[1.1,2)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.jcr.api)(version&gt;=2.2.0))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.jcr.api;version=2.2.0</require>
+    <require name='package' filter='(&amp;(package=javax.annotation))' extend='false' multiple='false' optional='false'>Import package javax.annotation</require>
+    <require name='package' filter='(&amp;(package=javax.jcr)(version&gt;=2.0.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package javax.jcr;version="[2.0,3)"</require>
+    <require name='package' filter='(&amp;(package=javax.jcr.observation)(version&gt;=2.0.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package javax.jcr.observation;version="[2.0,3)"</require>
+    <require name='package' filter='(&amp;(package=javax.jcr.security)(version&gt;=2.0.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package javax.jcr.security;version="[2.0,3)"</require>
+    <require name='package' filter='(&amp;(package=javax.net.ssl))' extend='false' multiple='false' optional='false'>Import package javax.net.ssl</require>
+    <require name='package' filter='(&amp;(package=javax.servlet))' extend='false' multiple='false' optional='false'>Import package javax.servlet</require>
+    <require name='package' filter='(&amp;(package=javax.servlet.http))' extend='false' multiple='false' optional='false'>Import package javax.servlet.http</require>
+    <require name='package' filter='(&amp;(package=org.apache.commons.io)(version&gt;=1.4.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.commons.io;version="[1.4,2)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.commons.logging)(version&gt;=1.1.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.commons.logging;version="[1.1,2)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.http)(version&gt;=4.3.0)(!(version&gt;=5.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.http;version="[4.3,5)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.http.auth)(version&gt;=4.3.0)(!(version&gt;=5.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.http.auth;version="[4.3,5)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.http.client)(version&gt;=4.3.0)(!(version&gt;=5.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.http.client;version="[4.3,5)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.http.client.config)(version&gt;=4.3.0)(!(version&gt;=5.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.http.client.config;version="[4.3,5)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.http.client.fluent)(version&gt;=4.3.0)(!(version&gt;=5.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.http.client.fluent;version="[4.3,5)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.http.client.methods)(version&gt;=4.3.0)(!(version&gt;=5.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.http.client.methods;version="[4.3,5)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.http.client.params)(version&gt;=4.3.0)(!(version&gt;=5.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.http.client.params;version="[4.3,5)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.http.client.protocol)(version&gt;=4.3.0)(!(version&gt;=5.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.http.client.protocol;version="[4.3,5)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.http.client.utils)(version&gt;=4.3.0)(!(version&gt;=5.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.http.client.utils;version="[4.3,5)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.http.concurrent)(version&gt;=4.3.0)(!(version&gt;=5.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.http.concurrent;version="[4.3,5)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.http.config)(version&gt;=4.3.0)(!(version&gt;=5.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.http.config;version="[4.3,5)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.http.conn)(version&gt;=4.3.0)(!(version&gt;=5.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.http.conn;version="[4.3,5)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.http.conn.params)(version&gt;=4.3.0)(!(version&gt;=5.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.http.conn.params;version="[4.3,5)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.http.conn.routing)(version&gt;=4.3.0)(!(version&gt;=5.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.http.conn.routing;version="[4.3,5)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.http.conn.ssl)(version&gt;=4.3.0)(!(version&gt;=5.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.http.conn.ssl;version="[4.3,5)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.http.cookie)(version&gt;=4.3.0)(!(version&gt;=5.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.http.cookie;version="[4.3,5)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.http.entity)(version&gt;=4.3.0)(!(version&gt;=5.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.http.entity;version="[4.3,5)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.http.impl)(version&gt;=4.3.0)(!(version&gt;=5.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.http.impl;version="[4.3,5)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.http.impl.auth)(version&gt;=4.3.0)(!(version&gt;=5.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.http.impl.auth;version="[4.3,5)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.http.impl.client)(version&gt;=4.3.0)(!(version&gt;=5.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.http.impl.client;version="[4.3,5)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.http.impl.conn)(version&gt;=4.3.0)(!(version&gt;=5.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.http.impl.conn;version="[4.3,5)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.http.impl.cookie)(version&gt;=4.3.0)(!(version&gt;=5.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.http.impl.cookie;version="[4.3,5)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.http.impl.nio)(version&gt;=4.3.0)(!(version&gt;=5.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.http.impl.nio;version="[4.3,5)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.http.impl.nio.codecs)(version&gt;=4.3.0)(!(version&gt;=5.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.http.impl.nio.codecs;version="[4.3,5)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.http.impl.nio.reactor)(version&gt;=4.3.0)(!(version&gt;=5.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.http.impl.nio.reactor;version="[4.3,5)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.http.message)(version&gt;=4.3.0)(!(version&gt;=5.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.http.message;version="[4.3,5)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.http.nio)(version&gt;=4.3.0)(!(version&gt;=5.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.http.nio;version="[4.3,5)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.http.nio.entity)(version&gt;=4.3.0)(!(version&gt;=5.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.http.nio.entity;version="[4.3,5)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.http.nio.pool)(version&gt;=4.3.0)(!(version&gt;=5.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.http.nio.pool;version="[4.3,5)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.http.nio.protocol)(version&gt;=4.3.0)(!(version&gt;=5.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.http.nio.protocol;version="[4.3,5)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.http.nio.reactor)(version&gt;=4.3.0)(!(version&gt;=5.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.http.nio.reactor;version="[4.3,5)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.http.nio.reactor.ssl)(version&gt;=4.3.0)(!(version&gt;=5.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.http.nio.reactor.ssl;version="[4.3,5)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.http.nio.util)(version&gt;=4.3.0)(!(version&gt;=5.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.http.nio.util;version="[4.3,5)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.http.params)(version&gt;=4.3.0)(!(version&gt;=5.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.http.params;version="[4.3,5)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.http.pool)(version&gt;=4.3.0)(!(version&gt;=5.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.http.pool;version="[4.3,5)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.http.protocol)(version&gt;=4.3.0)(!(version&gt;=5.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.http.protocol;version="[4.3,5)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.http.util)(version&gt;=4.3.0)(!(version&gt;=5.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.http.util;version="[4.3,5)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.jackrabbit.api.observation)(version&gt;=2.3.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.jackrabbit.api.observation;version="[2.3,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.jackrabbit.commons)(version&gt;=2.4.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.jackrabbit.commons;version="[2.4,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.jackrabbit.util)(version&gt;=2.4.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.jackrabbit.util;version="[2.4,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.jackrabbit.vault.fs.api)(version&gt;=2.4.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.jackrabbit.vault.fs.api;version="[2.4,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.jackrabbit.vault.fs.config)(version&gt;=2.4.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.jackrabbit.vault.fs.config;version="[2.4,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.jackrabbit.vault.fs.filter)(version&gt;=2.4.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.jackrabbit.vault.fs.filter;version="[2.4,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.jackrabbit.vault.fs.io)(version&gt;=2.4.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.jackrabbit.vault.fs.io;version="[2.4,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.jackrabbit.vault.packaging)(version&gt;=2.4.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.jackrabbit.vault.packaging;version="[2.4,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.api)(version&gt;=2.3.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.api;version="[2.3,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.api.resource)(version&gt;=2.5.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.api.resource;version="[2.5,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.api.servlets)(version&gt;=2.1.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.api.servlets;version="[2.1,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.api.wrappers)(version&gt;=2.5.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.api.wrappers;version="[2.5,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.commons.json)(version&gt;=2.0.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.commons.json;version="[2.0,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.commons.osgi)(version&gt;=2.2.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.commons.osgi;version="[2.2,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.commons.scheduler)(version&gt;=2.3.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.commons.scheduler;version="[2.3,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.distribution)(version&gt;=0.3.0)(!(version&gt;=0.4.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.distribution;version="[0.3,0.4)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.distribution.transport)(version&gt;=0.1.0)(!(version&gt;=1.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.distribution.transport;version="[0.1,1)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.hc.api)(version&gt;=1.0.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.hc.api;version="[1.0,2)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.hc.util)(version&gt;=1.0.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.hc.util;version="[1.0,2)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.settings)(version&gt;=1.3.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.settings;version="[1.3,2)"</require>
+    <require name='package' filter='(&amp;(package=org.osgi.framework)(version&gt;=1.4.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.osgi.framework;version="[1.4,2)"</require>
+    <require name='package' filter='(&amp;(package=org.osgi.service.cm)(version&gt;=1.2.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.osgi.service.cm;version="[1.2,2)"</require>
+    <require name='package' filter='(&amp;(package=org.osgi.service.event)(version&gt;=1.1.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.osgi.service.event;version="[1.1,2)"</require>
+    <require name='package' filter='(&amp;(package=org.slf4j)(version&gt;=1.6.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.slf4j;version="[1.6,2)"</require>
+    <require name='package' filter='(&amp;(package=org.slf4j.helpers)(version&gt;=1.6.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.slf4j.helpers;version="[1.6,2)"</require>
+    <require name='ee' filter='(|(ee=JavaSE-1.6))' extend='false' multiple='false' optional='false'>Execution Environment (|(ee=JavaSE-1.6))</require>
+  </resource>
   <resource id='org.apache.sling.distribution.it/0.1.0' symbolicname='org.apache.sling.distribution.it' presentationname='Apache Sling Distribution Integration Tests' uri='http://repo1.maven.org/maven2/org/apache/sling/org.apache.sling.distribution.it/0.1.0/org.apache.sling.distribution.it-0.1.0.jar' version='0.1.0'>
     <description>Project tests functionality for org.apache.sling.distribution bundle</description>
     <size>17039</size>
@@ -2008,6 +2499,36 @@
     <require name='package' filter='(&amp;(package=org.apache.sling.distribution))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.distribution</require>
     <require name='ee' filter='(|(ee=J2SE-1.5))' extend='false' multiple='false' optional='false'>Execution Environment (|(ee=J2SE-1.5))</require>
   </resource>
+  <resource id='org.apache.sling.distribution.it/0.1.2' symbolicname='org.apache.sling.distribution.it' presentationname='Apache Sling Distribution Integration Tests' uri='http://repo1.maven.org/maven2/org/apache/sling/org.apache.sling.distribution.it/0.1.2/org.apache.sling.distribution.it-0.1.2.jar' version='0.1.2'>
+    <description>Project tests functionality for org.apache.sling.distribution bundle</description>
+    <size>19488</size>
+    <documentation>http://sling.apache.org</documentation>
+    <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
+    <category id='sling'/>
+    <capability name='bundle'>
+      <p n='symbolicname' v='org.apache.sling.distribution.it'/>
+      <p n='presentationname' v='Apache Sling Distribution Integration Tests'/>
+      <p n='version' t='version' v='0.1.2'/>
+      <p n='manifestversion' v='2'/>
+    </capability>
+    <capability name='package'>
+      <p n='package' v='org.apache.sling.distribution.it'/>
+      <p n='version' t='version' v='0.1.2'/>
+    </capability>
+    <require name='package' filter='(&amp;(package=javax.jcr)(version&gt;=2.0.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package javax.jcr;version="[2.0,3)"</require>
+    <require name='package' filter='(&amp;(package=javax.servlet))' extend='false' multiple='false' optional='false'>Import package javax.servlet</require>
+    <require name='package' filter='(&amp;(package=org.apache.jackrabbit.api)(version&gt;=2.3.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.jackrabbit.api;version="[2.3,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.jackrabbit.api.security.user)(version&gt;=2.3.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.jackrabbit.api.security.user;version="[2.3,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.jackrabbit.commons)(version&gt;=2.4.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.jackrabbit.commons;version="[2.4,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.jackrabbit.commons.jackrabbit.authorization))' extend='false' multiple='false' optional='false'>Import package org.apache.jackrabbit.commons.jackrabbit.authorization</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.api)(version&gt;=2.2.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.api;version="[2.2,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.api.resource)(version&gt;=2.4.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.api.resource;version="[2.4,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.api.servlets)(version&gt;=2.1.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.api.servlets;version="[2.1,3)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.distribution)(version&gt;=0.3.0)(!(version&gt;=1.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.distribution;version="[0.3,1)"</require>
+    <require name='package' filter='(&amp;(package=org.apache.sling.jcr.api)(version&gt;=2.3.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package org.apache.sling.jcr.api;version="[2.3,3)"</require>
+    <require name='package' filter='(&amp;(package=org.slf4j)(version&gt;=1.5.0)(!(version&gt;=2.0.0)))' extend='false' multiple='false' optional='false'>Import package org.slf4j;version="[1.5,2)"</require>
+    <require name='ee' filter='(|(ee=JavaSE-1.6))' extend='false' multiple='false' optional='false'>Execution Environment (|(ee=JavaSE-1.6))</require>
+  </resource>
   <resource id='org.apache.sling.distribution.sample/0.1.0' symbolicname='org.apache.sling.distribution.sample' presentationname='Apache Sling Distribution Sample' uri='http://repo1.maven.org/maven2/org/apache/sling/org.apache.sling.distribution.sample/0.1.0/org.apache.sling.distribution.sample-0.1.0.jar' version='0.1.0'>
     <description>The Apache Sling Distribution sample bundle provides a set of sample configurations and custom component implementations.</description>
     <size>28992</size>
@@ -2022,6 +2543,32 @@
     </capability>
     <require name='ee' filter='(|(ee=J2SE-1.5))' extend='false' multiple='false' optional='false'>Execution Environment (|(ee=J2SE-1.5))</require>
   </resource>
+  <resource id='org.apache.sling.distribution.sample/0.1.6' symbolicname='org.apache.sling.distribution.sample' presentationname='Apache Sling Distribution Sample' uri='http://repo1.maven.org/maven2/org/apache/sling/org.apache.sling.distribution.sample/0.1.6/org.apache.sling.distribution.sample-0.1.6.jar' version='0.1.6'>
+    <description>The Apache Sling Distribution sample bundle provides a set of sample configurations and custom component implementations.</description>
+    <size>43817</size>
+    <documentation>http://sling.apache.org</documentation>
+    <license>http://www.apache.org/licenses/LICENSE-2.0.txt</license>
+    <category id='sling'/>
+    <capability name='bundle'>
+      <p n='symbolicname' v='org.apache.sling.distribution.sample'/>
+      <p n='presentationname' v='Apache Sling Distribution Sample'/>
+      <p n='version' t='version' v='0.1.6'/>
+      <p n='manifestversion' v='2'/>
+    </capability>
+    <capability name='package'>
+      <p n='package' v='org.apache.sling.distribution.test'/>
+      <p n='version' t='version' v='0.1.6'/>
+      <p n='uses:' v='org.apache.sling.jcr.api'/>
+    </capability>
+    <require name='package' filter='(&amp;(package=javax.jcr)(version&gt;=2.0.0)(!(version&gt;=3.0.0)))' extend='false' multiple='false' optional='false'>Import package javax.jcr;version="[2.0,3)"</require>

[... 15398 lines stripped ...]



Mime
View raw message